Status

mozilla.org Graveyard
Server Operations
VERIFIED FIXED
6 years ago
3 years ago

People

(Reporter: Jesse Ruderman, Assigned: fox2mike)

Tracking

Details

(Whiteboard: Geotrust OrderID: 8109003, URL)

(Reporter)

Description

6 years ago
pvtbuilds.mozilla.org uses an invalid security certificate.

The certificate expired on 12/2/11 2:55 AM. The current time is 12/5/11 2:00 AM.

(Error code: sec_error_expired_certificate)
(Assignee)

Comment 1

6 years ago
Jesse,

My apologies. I didn't even know this site existed. I'll fix this right away.
Assignee: server-ops → shyam
Blocks: 703412
(Assignee)

Comment 2

6 years ago
CSR :

-----BEGIN CERTIFICATE REQUEST-----
MIIDRjCCAi4CAQAwgawxCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpDYWxpZm9ybmlh
MRYwFAYDVQQHEw1Nb3VudGFpbiBWaWV3MRwwGgYDVQQKExNNb3ppbGxhIENvcnBv
cmF0aW9uMQswCQYDVQQLEwJJVDEeMBwGA1UEAxMVcHZ0YnVpbGRzLm1vemlsbGEu
b3JnMSUwIwYJKoZIhvcNAQkBFhZob3N0bWFzdGVyQG1vemlsbGEuY29tMIIBIjAN
BgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAxJz6c7FvBnY3QIjGcqCRFgaLMmyB
KCQK5VuI1A212Nhf1+guZ8ohYeYs1Szwlv8pNc13OAyYT6oPsr3A4ebGBeWndkma
cjlzahJNemCglytJYRQcMv5aHmlSb9cQu2MBvK8n75W/x81n8pqCWaHQHSWt2nL7
XbuUmDus9uBEg1cfad1gi8JbLNPCGyUQ5veArPwfpBa2HZnRknOMjb2ZKrZMzj1t
xEtotmawKuy5VfggEiXWcRyX4LNhNmJV/sHZTIaqzfjhZnGVymUyFe6JoPFsQJE2
Q10dSe717ekVxE1P+yFghgYQHoJjgvs17wAtPvlVHvThOL64Zh7A3N0gyQIDAQAB
oFQwUgYJKoZIhvcNAQkOMUUwQzARBglghkgBhvhCAQEEBAMCBkAwDAYDVR0TAQH/
BAIwADAgBgNVHREEGTAXghVwdnRidWlsZHMubW96aWxsYS5vcmcwDQYJKoZIhvcN
AQEFBQADggEBAKafGRIep7UQkzsdSuQ7qjU49yj/mEdVivwXJjkoI0zu7/qEFb3R
6MtIaHIersQsKDIkwV5ZpzkkYtAUoAeB/lVwcQ1dwa/fuKI/J1ywUqz/1yYIZhNq
Te+zv4SXn1k+cU0ivNRliH3k1DFjzN0bdiJXmSyqiH/q2vuOqsWcBUIHw7nJEw9k
x25s/ud7+An1BfhBOrmYXlbZu4JRzKDN5uX2gyrGM54XPmZG59WoNUIPxsXGjnfY
zVMw6he1Qu9IeFSgNMCq+DfGKE/UyChNDanyt5R71voyCu0ZtkqYfr5QJQuO8VVp
rz63jQS6J38lbVk9X7hDkRztdpu1deP49ic=
-----END CERTIFICATE REQUEST-----
(Assignee)

Comment 3

6 years ago
Dear Shyam Mani,

Congratulations! GeoTrust has approved your request for a Enterprise SSL certificate. Your certificate is included at the end of this email.

INSTALLATION INSTRUCTIONS

1. INSTALL CERTIFICATE:
Install the X.509 version of your certificate included at the end of this e-mail.
For installation instructions for your SSL Certificate, go to:
http://www.geotrust.com/support/installation-instructions/index.html

2. INTERMEDIATE CERTIFICATE ADVISORY:
You MUST install the GeoTrust intermediate Certificate included at end of this e-mail on your server together with your Certificate or it may not operate correctly

You can also get your GeoTrust intermediate Certificates at:
https://knowledge.geotrust.com/support/knowledge-base/index?page=content&actp=CROSSLINK&id=AR1423

3. CHECK INSTALLATION:
Ensure you have installed your certificate correctly at:
https://knowledge.geotrust.com/support/knowledge-base/index?page=content&id=SO9557&actp=LIST

4. INSTALL THE GEOTRUST TRUE SITE SEAL:
Additionally, as part of your SSL Certificate Service, you are entitled to display the GeoTrust True Site Seal - recognized across the Internet and around the world as a symbol of authenticity, security, and trust - to build consumer confidence in your Web site.

Installation instructions for the GeoTrust True Site Seal can be found on the following link:
https://www.geotrust.com/support/true-businessid/true-site-seal/

Visit the GeoTrust Support Web site, where you will find a range of support tools to help you:
http://www.geotrust.com/support

Best regards,

GeoTrust Customer Support
http://www.geotrust.com/support
Hours of Operation: Mon - Fri 05:00 - 17:00 (PST)
Email:     esslorders@geotrust.com
Web:       http://www.geotrust.com
Phone:     1-866-436-8787 or 1-678-366-8399
Live Chat: http://www.geotrust.com/support


** MICROSOFT IIS and TOMCAT USERS
Microsoft and Tomcat users are advised to download a PKCS #7 formatted certificate from the GeoTrust User Portal:
https://products.geotrust.com/orders/orderinformation/authentication.do. PKCS #7 is the default format used by these vendors during installation and includes the intermediate CA certificate, you may also install the below web server certificate and intermediate CA certificate individually.

Web Server CERTIFICATE
-----------------

-----BEGIN CERTIFICATE-----
MIIElzCCA3+gAwIBAgIDAQ7OMA0GCSqGSIb3DQEBBQUAMEAxCzAJBgNVBAYTAlVT
MRcwFQYDVQQKEw5HZW9UcnVzdCwgSW5jLjEYMBYGA1UEAxMPR2VvVHJ1c3QgU1NM
IENBMB4XDTExMTIwMzIyNTUyNFoXDTEzMTIwNjA3NTAwNFowgbAxKTAnBgNVBAUT
IFJtL2pLcVFxZ3BXZkRXdkhiTGdjdmYydVVRMktJWFEwMQswCQYDVQQGEwJVUzET
MBEGA1UECBMKQ2FsaWZvcm5pYTEWMBQGA1UEBxMNTW91bnRhaW4gVmlldzEcMBoG
A1UEChMTTW96aWxsYSBDb3Jwb3JhdGlvbjELMAkGA1UECxMCSVQxHjAcBgNVBAMT
FXB2dGJ1aWxkcy5tb3ppbGxhLm9yZzCCASIwDQYJKoZIhvcNAQEBBQADggEPADCC
AQoCggEBAMSc+nOxbwZ2N0CIxnKgkRYGizJsgSgkCuVbiNQNtdjYX9foLmfKIWHm
LNUs8Jb/KTXNdzgMmE+qD7K9wOHmxgXlp3ZJmnI5c2oSTXpgoJcrSWEUHDL+Wh5p
Um/XELtjAbyvJ++Vv8fNZ/Kaglmh0B0lrdpy+127lJg7rPbgRINXH2ndYIvCWyzT
whslEOb3gKz8H6QWth2Z0ZJzjI29mSq2TM49bcRLaLZmsCrsuVX4IBIl1nEcl+Cz
YTZiVf7B2UyGqs344WZxlcplMhXuiaDxbECRNkNdHUnu9e3pFcRNT/shYIYGEB6C
Y4L7Ne8ALT75VR704Ti+uGYewNzdIMkCAwEAAaOCAScwggEjMB8GA1UdIwQYMBaA
FEJ5VBthzVUrPmPVPEhX9Z/7Rc5KMA4GA1UdDwEB/wQEAwIEsDAdBgNVHSUEFjAU
BggrBgEFBQcDAQYIKwYBBQUHAwIwIAYDVR0RBBkwF4IVcHZ0YnVpbGRzLm1vemls
bGEub3JnMD0GA1UdHwQ2MDQwMqAwoC6GLGh0dHA6Ly9ndHNzbC1jcmwuZ2VvdHJ1
c3QuY29tL2NybHMvZ3Rzc2wuY3JsMB0GA1UdDgQWBBTcVzJlHykw2Sqsssdtv626
tXMj2zAMBgNVHRMBAf8EAjAAMEMGCCsGAQUFBwEBBDcwNTAzBggrBgEFBQcwAoYn
aHR0cDovL2d0c3NsLWFpYS5nZW90cnVzdC5jb20vZ3Rzc2wuY3J0MA0GCSqGSIb3
DQEBBQUAA4IBAQBrSpEfIF0ZjW/+LPiYT/DiMphU6Bzs1MewsqqVG7KLI3IIY6BP
w2dr/ys/+Xza6yauZ/sMjh8hC6o/ifxkwMsFqc5ymhIbqFopqcIySl7pKGSHf6av
qakygRd91cGut8dLbVmJrfj0DfPAVM5iq260aeYzIXzEsqXf0QpIbU2gKlo0+09E
4d3Ua3K2VnluVbyZayW2CHpuqKbB+3YAW5Zvp1JiSqQTYKDgx9oiPurEmwRYA/G4
T71klOBKgcyUQ9qGWSIGBB2cu0IMuACt8gQB5WxNjIWF++eUb7g9L6T6v1oTNekO
uwZIlLqySTaOZ2u+7wAU8BK2X1PSYGN6vpH3
-----END CERTIFICATE-----


INTERMEDIATE CA:
---------------------------------------

-----BEGIN CERTIFICATE-----
MIID2TCCAsGgAwIBAgIDAjbQMA0GCSqGSIb3DQEBBQUAMEIxCzAJBgNVBAYTAlVT
MRYwFAYDVQQKEw1HZW9UcnVzdCBJbmMuMRswGQYDVQQDExJHZW9UcnVzdCBHbG9i
YWwgQ0EwHhcNMTAwMjE5MjIzOTI2WhcNMjAwMjE4MjIzOTI2WjBAMQswCQYDVQQG
EwJVUzEXMBUGA1UEChMOR2VvVHJ1c3QsIEluYy4xGDAWBgNVBAMTD0dlb1RydXN0
IFNTTCBDQTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAJCzgMHk5Uat
cGA9uuUU3Z6KXot1WubKbUGlI+g5hSZ6p1V3mkihkn46HhrxJ6ujTDnMyz1Hr4Gu
FmpcN+9FQf37mpc8oEOdxt8XIdGKolbCA0mEEoE+yQpUYGa5jFTk+eb5lPHgX3UR
8im55IaisYmtph6DKWOy8FQchQt65+EuDa+kvc3nsVrXjAVaDktzKIt1XTTYdwvh
dGLicTBi2LyKBeUxY0pUiWozeKdOVSQdl+8a5BLGDzAYtDRN4dgjOyFbLTAZJQ50
96QhS6CkIMlszZhWwPKoXz4mdaAN+DaIiixafWcwqQ/RmXAueOFRJq9VeiS+jDkN
d53eAsMMvR8CAwEAAaOB2TCB1jAOBgNVHQ8BAf8EBAMCAQYwHQYDVR0OBBYEFEJ5
VBthzVUrPmPVPEhX9Z/7Rc5KMB8GA1UdIwQYMBaAFMB6mGiNifurBWQMEX2qfWW4
ysxOMBIGA1UdEwEB/wQIMAYBAf8CAQAwOgYDVR0fBDMwMTAvoC2gK4YpaHR0cDov
L2NybC5nZW90cnVzdC5jb20vY3Jscy9ndGdsb2JhbC5jcmwwNAYIKwYBBQUHAQEE
KDAmMCQGCCsGAQUFBzABhhhodHRwOi8vb2NzcC5nZW90cnVzdC5jb20wDQYJKoZI
hvcNAQEFBQADggEBANTvU4ToGr2hiwTAqfVfoRB4RV2yV2pOJMtlTjGXkZrUJPji
J2ZwMZzBYlQG55cdOprApClICq8kx6jEmlTBfEx4TCtoLF0XplR4TEbigMMfOHES
0tdT41SFULgCy+5jOvhWiU1Vuy7AyBh3hjELC3DwfjWDpCoTZFZnNF0WX3OsewYk
2k9QbSqr0E1TQcKOu3EDSSmGGM8hQkx0YlEVxW+o78Qn5Rsz3VqI138S0adhJR/V
4NwdzxoQ2KDLX4z6DOW/cf/lXUQdpj6HR/oaToODEj+IZpWYeZqF6wJHzSXj8gYE
TpnKXKBuervdo5AaRTPvvz7SBMS24CqFZUE+ENQ=
-----END CERTIFICATE-----
Status: NEW → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → FIXED
Whiteboard: Geotrust OrderID: 8109003
(Assignee)

Comment 4

6 years ago
And installed.

fox2mike@woodpecker ~ $ curl -I -v https://pvtbuilds.mozilla.org/
* About to connect() to pvtbuilds.mozilla.org port 443 (#0)
*   Trying 63.245.208.160... connected
* Connected to pvtbuilds.mozilla.org (63.245.208.160) port 443 (#0)
* found 165 certificates in /etc/ssl/certs/ca-certificates.crt
* 	 server certificate verification OK
* 	 common name: pvtbuilds.mozilla.org (matched)
* 	 server certificate expiration date OK
* 	 server certificate activation date OK
* 	 certificate public key: RSA
* 	 certificate version: #3
* 	 subject: serialNumber=Rm/jKqQqgpWfDWvHbLgcvf2uUQ2KIXQ0,C=US,ST=California,L=Mountain View,O=Mozilla Corporation,OU=IT,CN=pvtbuilds.mozilla.org
* 	 start date: Sat, 03 Dec 2011 22:55:24 GMT
* 	 expire date: Fri, 06 Dec 2013 07:50:04 GMT
* 	 issuer: C=US,O=GeoTrust\, Inc.,CN=GeoTrust SSL CA
* 	 compression: NULL
* 	 cipher: AES-128-CBC
* 	 MAC: SHA1

Apologies for this, we got 49 other sites on time (mostly ;) )
Status: RESOLVED → VERIFIED
Product: mozilla.org → mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.